<bugID>436304<Summary>Implement "All Tabs" panel with previews</Summary><Description>Current plan:

The "All Tabs" panel ...
* is one big grid that shows previews for all tabs from
  all Firefox windows concurrently.
* has a search field that filters the tabs based on their
  title and address.
* replaces the "All Tabs" dropdown list.
* can also be opened with F4.</Description></bugID>